Drop obsolete mirror-image files.

 * Whole mirror-image was refactored into self-sufficient
   cluster model
   https://github.com/Mirantis/mcp-offline-model
 * mirror-image/aptly-add-packages.sh still required by
   https://github.com/Mirantis/mk-pipelines/blob/master/create-aptly-patch.groovy#L21

Change-Id: I6c153f5a7fe4811578d31a4abc98723bc6423de1
diff --git a/mirror-image/aptly/aptly-update.sh b/mirror-image/aptly/aptly-update.sh
deleted file mode 100644
index 5f9e974..0000000
--- a/mirror-image/aptly/aptly-update.sh
+++ /dev/null
@@ -1,48 +0,0 @@
-#!/bin/bash
-CLEANUP_SNAPSHOTS=0
-RECREATE=0
-FORCE_OVERWRITE=0
-PUBLISHER_OPTIONS=""
-while getopts "c?f?r?"  option
-do
- case "${option}"
- in
- c|\?) CLEANUP_SNAPSHOTS=1;;
- f|\?) FORCE_OVERWRITE=1;;
- r|\?) RECREATE=1;;
- esac
-done
-if [ $CLEANUP_SNAPSHOTS -eq 1 ]; then
-    echo "Cleanup"
-    PUBLISH_LIST="$(aptly publish list --raw)"
-    if [ "$PUBLISH_LIST" != "" ]; then
-        echo "===> Deleting all publishes"
-        echo $PUBLISH_LIST | awk '{print $2, $1}' | xargs -n2 aptly publish drop
-    fi
-    SNAPSHOT_LIST="$(aptly snapshot list --raw)"
-    if [ "$SNAPSHOT_LIST" != "" ]; then
-        echo "===> Deleting all snapshots"
-        echo $SNAPSHOT_LIST | grep -E '*' | xargs -n 1 aptly snapshot drop
-    fi
-fi
-aptly_mirror_update.sh -v -s
-if [[ $? -ne 0 ]]; then
-    echo "Aptly mirror update failed."
-    exit 1
-fi
-nohup aptly api serve --no-lock > /dev/null 2>&1 </dev/null &
-if [ $RECREATE -eq 1 ]; then
-     echo "Recreate"
-     PUBLISHER_OPTIONS+=" --recreate"
-fi
-if [ $FORCE_OVERWRITE -eq 1 ]; then
-     PUBLISHER_OPTIONS+=" --force-overwrite"
-fi
-     echo "aptly-publisher --timeout=1200 publish -v -c /etc/aptly-publisher.yaml --url http://127.0.0.1:8080 $PUBLISHER_OPTIONS"
-    if [[ $? -ne 0 ]]; then
-        echo "Aptly Publisher failed."
-        exit 1
-    fi
-ps aux  |  grep -i "aptly api serve"  |  awk '{print $2}'  |  xargs kill -9
-aptly db cleanup
-exit 0
\ No newline at end of file
diff --git a/mirror-image/config/interfaces b/mirror-image/config/interfaces
deleted file mode 100644
index 8d17f47..0000000
--- a/mirror-image/config/interfaces
+++ /dev/null
@@ -1,18 +0,0 @@
-# This file describes the network interfaces available on your system
-# and how to activate them. For more information, see interfaces(5).
-
-source /etc/network/interfaces.d/*
-
-# The loopback network interface
-auto lo
-iface lo inet loopback
-
-# The primary network interface
-auto ens3
-iface ens3 inet static
-  address $APTLY_DEPLOY_IP
-  netmask $APTLY_DEPLOY_NETMASK
-#auto ens4
-#iface ens4 inet static
-#  address $APTLY_CONTROL_IP
-#  netmask $APTLY_CONTROL_NETMASK
\ No newline at end of file
diff --git a/mirror-image/config/minion.conf b/mirror-image/config/minion.conf
deleted file mode 100644
index ab06e18..0000000
--- a/mirror-image/config/minion.conf
+++ /dev/null
@@ -1,54 +0,0 @@
-master: $SALT_MASTER_DEPLOY_IP
-
-id: $APTLY_MINION_ID
-
-max_event_size: 100000000
-
-
-
-
-
-
-
-
-grains:
-  roles:
-  - iptables.service
-  - telegraf.agent
-  - heka.log_collector
-  - openssh.server
-  - ntp.client
-  - grafana.collector
-  - nginx.server
-  - prometheus.collector
-  - rsyslog.client
-  - linux.storage
-  - linux.network
-  - linux.system
-  - salt.minion
-  - aptly.publisher
-  - aptly.server
-  services:
-  - iptables
-  - telegraf
-  - heka
-  - openssh
-  - ntp
-  - grafana
-  - nginx
-  - prometheus
-  - rsyslog
-  - linux
-  - salt
-  - aptly
-
-grains_dirs:
-- /var/lib/salt/grains
-
-mine_functions:
-  network.interfaces: []
-  grains.items: []
-mine_interval: 60
-
-log_level: info
-state_output: changes
\ No newline at end of file
diff --git a/mirror-image/debmirror.sh b/mirror-image/debmirror.sh
deleted file mode 100644
index 412db06..0000000
--- a/mirror-image/debmirror.sh
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/bash
-
-set -xe
-set -o pipefail
-stamp=$(date "+%Y_%m_%d_%H_%M_%S")
-LOGDIR=/var/log/debmirror
-DEBMLOG=${LOGDIR}/${stamp}.log
-MIRRORDIR=/srv/aptly/public
-MCP_VERSION=${MCP_VERSION:-stable}
-MIRROR_HOST=${MIRROR_HOST:-"mirror.mirantis.com"}
-method=${CLONE_METHOD:-"rsync"}
-
-mkdir -p ${LOGDIR}
-mkdir -p ${MIRRORDIR}
-
-if [[ ${method} == "rsync" ]] ; then
-  m_root=":mirror/$MCP_VERSION/ubuntu"
-elif [[ ${method} == "http" ]] ; then
-  m_root="$MCP_VERSION/ubuntu"
-else
-  echo "LOG: Error: unsupported clone method!" 2>&1 | tee -a $DEBMLOG
-  exit 1
-fi
-
-### Script body ###
-echo "LOG: Start: $(date '+%Y_%m_%d_%H_%M_%S')"  2>&1 | tee -a $DEBMLOG
-
-mkdir -p $(dirname ${DEBMLOG}) ${MIRRORDIR}
-# Ubuntu General
-echo "LOG: Ubuntu Mirror" 2>&1 | tee -a $DEBMLOG
-
-debmirror --verbose --method=${method} --progress \
-  --host=${MIRROR_HOST} \
-  --arch=amd64 \
-  --dist=xenial,xenial-security,xenial-updates \
-  --root=${m_root} \
-  --section=main,multiverse,restricted,universe \
-  --rsync-extra=none \
-  --nosource \
-  --no-check-gpg \
-  --exclude-deb-section=games \
-  --exclude-deb-section=gnome \
-  --exclude-deb-section=Xfce \
-  --exclude-deb-section=sound \
-  --exclude-deb-section=doc \
-  --exclude-deb-section=electronics \
-  --exclude-deb-section=graphics \
-  --exclude-deb-section=hamradio \
-  --exclude-deb-section=localization \
-  --exclude-deb-section=kde \
-  --exclude-deb-section=video \
-  --exclude='/android*' \
-  --exclude='/firefox*' \
-  --exclude='/chromium-browser*' \
-  --exclude='/ceph*' \
-  --exclude='/*-wallpapers*' \
-  --exclude='/language-pack-(?!en)' \
-  --include='/main(.*)manpages' \
-  --include='/main(.*)python-(.*)doc' \
-  --include='/universe(.*)python-(.*)doc' \
-  --include='/main(.*)python-(.*)network' \
-  $MIRRORDIR/ubuntu 2>&1 | tee -a $DEBMLOG
-
-echo "LOG: Fixing ownership" 2>&1 | tee -a $DEBMLOG
-find "${MIRRORDIR}" -type d -o -type f -exec chown aptly:aptly '{}' \; 2>&1 | tee -a $DEBMLOG
-
-echo "LOG: Fixing permissions " 2>&1 | tee -a $DEBMLOG
-find "${MIRRORDIR}" -type d -o -type f -exec chmod u+rw,g+r,o+r-w {} \; 2>&1 | tee -a $DEBMLOG
-
-echo "LOG: Mirror size " 2>&1 | tee -a $DEBMLOG
-du -hs "${MIRRORDIR}" 2>&1 | tee -a $DEBMLOG
-
-echo "LOG: Finish:$(date '+%Y_%m_%d_%H_%M_%S')"  2>&1 | tee -a $DEBMLOG
-
diff --git a/mirror-image/images_mirror/images.txt b/mirror-image/images_mirror/images.txt
deleted file mode 100644
index cecd54b..0000000
--- a/mirror-image/images_mirror/images.txt
+++ /dev/null
@@ -1,4 +0,0 @@
-ubuntu-14-04-x64-latest.qcow2
-ubuntu-14-04-x64-mcp2018.1.qcow2
-ubuntu-16-04-x64-latest.qcow2
-ubuntu-16-04-x64-mcp2018.1.qcow2
\ No newline at end of file
diff --git a/mirror-image/images_mirror/update-images.sh b/mirror-image/images_mirror/update-images.sh
deleted file mode 100644
index a0dd9aa..0000000
--- a/mirror-image/images_mirror/update-images.sh
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/bash
-FILES="$(cat /srv/images.txt)"
-URL="http://images.mirantis.com"
-while getopts "u:"  option
-do
- case "${option}"
- in
- u|\?) URL=${OPTARG};;
- esac
-done
-
-for FILE in $FILES
-do
-  FILENAME=`echo $FILE | sed 's/.*\///g'`
-  if [ -f "/srv/http/images/$FILENAME" ]; then
-      MD5=`md5sum /srv/http/images/$FILENAME | awk '{ print $1 }'`
-      echo "===> File /srv/http/images/$FILENAME exists and it's MD5 hash is: $MD5"
-  else
-      MD5="None"
-      echo "===> File /srv/http/images/$FILENAME doesn't exist"
-  fi
-  wget $URL/$FILENAME.md5 -q -O /srv/http/images/$FILENAME.md5
-  MD5UPSTREAM=`cat /srv/http/images/$FILENAME.md5 | awk '{ print $1 }'`
-  rm /srv/http/images/$FILENAME.md5
-  if [ "$MD5" != "$MD5UPSTREAM" ];
-    then
-      echo "Hashes of image $FILENAME don't match."
-      echo "Local MD5 hash is:    $MD5"
-      echo "Upstream MD5 hash is: $MD5UPSTREAM"
-      rm /srv/http/images/$FILENAME
-      wget $URL/$FILENAME -O /srv/http/images/$FILENAME
-    else
-      echo "Hashes of image $FILENAME match."
-  fi
-done
\ No newline at end of file
diff --git a/mirror-image/pypi_mirror/requirements.txt b/mirror-image/pypi_mirror/requirements.txt
deleted file mode 100644
index b1af966..0000000
--- a/mirror-image/pypi_mirror/requirements.txt
+++ /dev/null
@@ -1,12 +0,0 @@
-pbr
-pygerrit
-pip
-salt-pepper
-wheel
-virtualenv
-setuptools
-PyGithub
-pkginfo
-PyRSS2Gen
-python_swiftclient
-PyJWT
\ No newline at end of file
diff --git a/mirror-image/salt-bootstrap.sh b/mirror-image/salt-bootstrap.sh
deleted file mode 100644
index 789ce67..0000000
--- a/mirror-image/salt-bootstrap.sh
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/bash
-
-echo "deb [arch=amd64] http://apt.mirantis.com/xenial/ ${MCP_VERSION} salt" > /etc/apt/sources.list.d/mcp_salt.list
-wget -O - http://apt.mirantis.com/public.gpg | apt-key add -
-apt-get update
-apt-get install git -y
-apt-get install salt-formula* -y
-git clone --recursive -b ${CLUSTER_MODEL_REF} ${CLUSTER_MODEL} /srv/salt/reclass
-git clone https://github.com/salt-formulas/salt-formulas-scripts /srv/salt/scripts
-# Parameters, for salt-formulas-scripts/bootstrap.sh
-export FORMULAS_SOURCE=pkg
-export HOSTNAME=apt01
-export DOMAIN=${CLUSTER_NAME}.local
-export CLUSTER_NAME=${CLUSTER_NAME}
-export DISTRIB_REVISION=${MCP_VERSION}
-export EXTRA_FORMULAS="ntp aptly nginx iptables docker"
-/srv/salt/scripts/bootstrap.sh
-salt-call state.sls salt
-echo "COMPLETED" > /srv/initComplete